> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldpoint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns UTY total supply



## OpenAPI

````yaml https://api.yieldpoint.io/docs/json get /v1/uty
openapi: 3.0.0
info:
  title: YieldPoint API
  description: ''
  version: 1.1.0
  contact: {}
servers:
  - url: https://api.yieldpoint.io
security: []
tags: []
paths:
  /v1/uty:
    get:
      tags:
        - Uty
      summary: Returns UTY total supply
      operationId: getUtyTotalSupply
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UtyTotalSupplyResponse'
components:
  schemas:
    UtyTotalSupplyResponse:
      type: object
      properties:
        tokenSymbol:
          type: string
        address:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
        totalSupply:
          type: string
          nullable: true
          description: Raw wei value as a string
        vaultHistory:
          type: array
          items:
            type: object
            properties:
              totalSupply:
                type: number
              date:
                type: string
                description: Date in format YYYY-MM-DD
              timestamp:
                type: number
                description: Unix timestamp in seconds
            required:
              - totalSupply
              - date
              - timestamp
          nullable: true
      required:
        - tokenSymbol
        - address
        - totalSupply
        - vaultHistory

````